<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KCrash</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>KCrash Namespace Reference</h1>
<code>from PyKDE4.kdeui.KCrash import *</code>
<p>
<h2>Detailed Description</h2>
<p>This class handles segmentation-faults.
By default it displays a message-box saying the application crashed.
This default can be overridden by setting a custom crash handler with
setCrashHandler().
If a function is specified with setEmergencySaveFunction() it will
be called by the default crash handler, giving the application a chance
to save its data.
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj192754700">CrashFlag</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;KeepFDs, SaferDialog, AlwaysDirectly, AutoRestart&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KCrash.HandlerType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192729164">crashHandler</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192150732">defaultCrashHandler</a> (int signal)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KCrash.HandlerType&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192755468">emergencySaveFunction</a> ()</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192757356">setApplicationName</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> name)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192756812">setApplicationPath</a> (<a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> path)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192150828">setCrashHandler</a> (KCrash.HandlerType handler=defaultCrashHandler)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192151436">setEmergencySaveFunction</a> (KCrash.HandlerType saveFunction=0)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj192756332">setFlags</a> (KCrash.CrashFlags flags)</td></tr>
</table>
<hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj192754700"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">CrashFlag</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Options to determine how KCrash should behave while firing up DrKonqi.
</p><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>KeepFDs</em>&nbsp;=&nbsp;1</td><td><tr><td valign="top"><em>SaferDialog</em>&nbsp;=&nbsp;2</td><td><tr><td valign="top"><em>AlwaysDirectly</em>&nbsp;=&nbsp;4</td><td><tr><td valign="top"><em>AutoRestart</em>&nbsp;=&nbsp;8</td><td></table>
</dl>
</div></div><p><hr><h2>Function Documentation</h2><a class="anchor" name="obj192729164"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KCrash.HandlerType crashHandler</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Returns the installed crash handler.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the crash handler
</dd></dl>
</p></div></div><a class="anchor" name="obj192150732"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> defaultCrashHandler</td>
<td>(</td>
<td class="paramtype">int&nbsp;</td>
<td class="paramname"><em>signal</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>The default crash handler.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>signal</em>&nbsp;</td><td> the signal number
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192755468"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KCrash.HandlerType emergencySaveFunction</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Return the currently set emergency save function.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> the emergency save function
</dd></dl>
</p></div></div><a class="anchor" name="obj192757356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setApplicationName</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>name</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the application name <b>name</b> which should be passed to
Dr. Konqi, our nice crash display application.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>name</em>&nbsp;</td><td> the name of the application, as shown in Dr. Konqi
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192756812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setApplicationPath</td>
<td>(</td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>path</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Sets the application <b>path</b> which should be passed to
Dr. Konqi, our nice crash display application.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>path</em>&nbsp;</td><td> the application path.
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192150828"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setCrashHandler</td>
<td>(</td>
<td class="paramtype">KCrash.HandlerType&nbsp;</td>
<td class="paramname"><em>handler=defaultCrashHandler</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Install a function to be called in case a SIGSEGV is caught.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>handler</em>&nbsp;</td><td> HandlerType handler can be one of
</td></tr> </table></dl>
<p> <li> null in which case signal-catching is disabled </li>
(by calling signal(SIGSEGV, SIG_DFL))
<li> if handler is omitted the default crash handler is installed. </li>
<li> an user defined function in the form: </li>
static (if in a class) void myCrashHandler(int);
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>handler</em>&nbsp;</td><td> the crash handler
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192151436"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setEmergencySaveFunction</td>
<td>(</td>
<td class="paramtype">KCrash.HandlerType&nbsp;</td>
<td class="paramname"><em>saveFunction=0</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Installs a function which should try to save the applications data.
It is the crash handler's responsibility to call this function.
Therefore, if no crash handler is set, the default crash handler
is installed to ensure the save function is called.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>saveFunction</em>&nbsp;</td><td> the handler to install
</td></tr>
</table></dl>
<p>
</p></div></div><a class="anchor" name="obj192756332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setFlags</td>
<td>(</td>
<td class="paramtype">KCrash.CrashFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set DrKonqi fire-up options.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>flags</em>&nbsp;</td><td> ORed together CrashFlags
</td></tr>
</table></dl>
<p>
</p></div></div>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
